Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.neural.freeform
Class FreeformContextNeuron

    java.lang.Object
      org.encog.neural.freeform.basic.BasicFreeformNeuron
          org.encog.neural.freeform.FreeformContextNeuron

All Implemented Interfaces:
  Serializable, FreeformNeuron, TempTrainingData

    public class FreeformContextNeuron

extends BasicFreeformNeuron

Defines a freeform contexst neuron.

See Also:
  Serialized Form

Constructor Summary
`FreeformContextNeuron(FreeformNeuron theContextSource)` Construct the context neuron.

Method Summary
`FreeformNeuron` | `getContextSource()`
`void` | `setContextSource(FreeformNeuron contextSource)`
`String` | `toString()`
`void` | `updateContext()` Update the context value for this neuron.

Methods inherited from class org.encog.neural.freeform.basic.BasicFreeformNeuron
`addInput, addOutput, addTempTraining, allocateTempTraining, clearTempTraining, getActivation, getInputSummation, getOutputs, getSum, getTempTraining, isBias, performCalculation, setActivation, setBias, setInputSummation, setTempTraining`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FreeformContextNeuron

    public FreeformContextNeuron(FreeformNeuron theContextSource)

  Construct the context neuron.

  Parameters:
    `theContextSource` - The context source.

Method Detail

### getContextSource

    public FreeformNeuron getContextSource()

  Returns:
    the contextSource

### setContextSource

    public void setContextSource(FreeformNeuron contextSource)

  Parameters:
    `contextSource` - the contextSource to set

### updateContext

    public void updateContext()

  Description copied from class: `BasicFreeformNeuron`
  Update the context value for this neuron.

  Specified by:
    `updateContext` in interface `FreeformNeuron`
  Overrides:
    `updateContext` in class `BasicFreeformNeuron`

### toString

    public String toString()

  Overrides:
    `toString` in class `BasicFreeformNeuron`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.